LG Optimus Me Budget Android Out–Selling Quickly It Seems

LG Optimus Me Budget Android Out–Selling Quickly It Seems
March 31 03:51 2011 Print This Article

optimusme
LG Optimus Me P350

 

LG Philippines recently announced in their Twitter account that the LG Optimus Me P350 budget Android phone is already being sold in stores. Specs wise, it skims the bottom level of Android but its very much to be expected for the low pricetag. How low? It retails for PHP8,990.

 

For the price, you’re getting a 2.8” 320×240 resolution capacitive screen with a 600mhz processor running Android 2.2 Froyo. Not a bad deal at all – and it seems like we’re not the only ones who think so. LG Philippines’ Twitter just announced yesterday that “more than half the stocks of Optimus Me are sold already.”

 

This sounds like quite an achievement for LG, though the exact number of stocks that were actually available were never mentioned. LG did have some questionable events that drummed up some bad publicity for them in the past, so we can never tell if they’re really flying off the shelves like they do say.

 

Marketing strategies or not, the phone seems like a legitimately decent entry-level Android smartphone and is priced competitively enough to get noticed and that’s what matters. After all, this is probably their precursor to their more powerful Android phones – and that can never be a bad thing.

 

So what do you think? Are you going for an Optimus Me? Or are you waiting for something else in the horizon? Personally, we’re a little interested in how it performs – as a phone, and commercially as well.

(Visited 632 times, 1 visits today)
view more articles

About Article Author

Alexei Rivera
Alexei Rivera

Alex likes doges and wowes. Much bio.

View More Articles

Facebook comments:

write a comment

0 Comments

No Comments Yet!

You can be the one to start a conversation.

Add a Comment

Your data will be safe! Your e-mail address will not be published. Other data you enter will not be shared with any third party.
All * fields are required.